# Uses of Class
org.bukkit.conversations.Conversation

Packages that use Conversation
Package
Description
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.

## Uses of Conversation in org.bukkit.conversations

Fields in org.bukkit.conversations declared as Conversation
Modifier and Type
Field
Description
`protected Conversation`
InactivityConversationCanceller.`conversation`
Methods in org.bukkit.conversations that return Conversation
Modifier and Type
Method
Description
`@NotNull Conversation`
ConversationFactory.`buildConversation(@NotNull Conversable forWhom)`
Constructs a `Conversation` in accordance with the defaults set for this factory.
Methods in org.bukkit.conversations with parameters of type Conversation
Modifier and Type
Method
Description
`void`
Conversable.`abandonConversation(@NotNull Conversation conversation)`
Abandons an active conversation.
`void`
Conversable.`abandonConversation(@NotNull Conversation conversation, @NotNull ConversationAbandonedEvent details)`
Abandons an active conversation.
`boolean`
Conversable.`beginConversation(@NotNull Conversation conversation)`
Enters into a dialog with a Conversation object.
`protected void`
InactivityConversationCanceller.`cancelling(@NotNull Conversation conversation)`
Subclasses of InactivityConversationCanceller can override this method to take additional actions when the inactivity timer abandons the conversation.
`void`
ConversationCanceller.`setConversation(@NotNull Conversation conversation)`
Sets the conversation this ConversationCanceller can optionally cancel.
`void`
ExactMatchConversationCanceller.`setConversation(@NotNull Conversation conversation)`
`void`
InactivityConversationCanceller.`setConversation(@NotNull Conversation conversation)`
`void`
ManuallyAbandonedConversationCanceller.`setConversation(@NotNull Conversation conversation)`
Constructors in org.bukkit.conversations with parameters of type Conversation
Modifier
Constructor
Description
``
`ConversationAbandonedEvent(@NotNull Conversation conversation)`
``
`ConversationAbandonedEvent(@NotNull Conversation conversation, @Nullable ConversationCanceller canceller)`